<template>
  <div>
    <el-row class="flex element-bloq-center" style="box-sizing:border-box; box-sizing: border-box; justify-content: space-around; height: 100vh;">
      <el-col :span="12" >
         <div class="text-dark-gray-1">
            <p style="font-size:5rem" class="text-bold">401</p>
            <p style="font-size:3rem;">Usuario no autorizado :| </p>
         </div>
         <div style="margin-top:2.5rem">
           <p class="text-bold" style="font-size: 1.5rem; color:#252525">El usuario ingresado no existe</p>
         </div>
         <div style="margin-top: 2rem">
           <p class="text-dark-gray-2" style="font-size: 1.5rem"> Cuando recuerdes tu nombre intenta <br> nuevamente.</p>
         </div>
         <div style="margin-top: 4rem">
           <el-button size="large" type="primary" v-on:click="delayRedirect" >¡QUIERO INTENTARLO!</el-button>
         </div>
      </el-col>
      <el-col :span="7">
        <img src="../assets/images/401.png" alt="">
      </el-col>
    </el-row>
  </div>
</template>
<script>
import firebase from 'firebase'

export default {
  methods: {
    delayRedirect () {
      // saliendo de firebase y redireccionando a login
      firebase.auth().signOut()
        .then(() => {
          this.$router.push({name: 'login'})
          localStorage.clear()
        })
        .catch(function (error) {
          console.log(error)
        })
    }
  }
}
</script>

